#!/bin/bash

tty_to_use="/dev/tty1"
update_bins="/media/usr"
update_source="/media/animations/"
update_dest="/home/player/animations/"

systemctl stop player

# clear screen
echo -e '\033[2J' > $tty_to_use
# cursor to 0,0
echo -e '\033[0;0H' > $tty_to_use

echo "Running update script!!!" > $tty_to_use

if [ -d $update_source ]; then
	echo "Removing files" > $tty_to_use
	rm -rf $update_dest/*  > $tty_to_use
	for file in $update_source/*
	do
#		echo "Copying file $file" > $tty_to_use
		rsync --progress -r -t -og --chown=player:player $update_source $update_dest > $tty_to_use
	done
fi

echo "Update script done!!!" > $tty_to_use

sleep 5

systemctl start player
